services:
  k8s-pulse:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: k8s-pulse
    ports:
      - "5000:5000"
    environment:
      - KUBECONFIG=/home/nonroot/.kube/config
    volumes:
      - ${KUBECONFIG:-~/.kube/config}:/home/nonroot/.kube/config:ro
    restart: unless-stopped
